### Struct

# GVnc ColorMap

#### Description

    struct VncColorMap {
      guint16 offset;
      guint16 size;
      VncColorMapEntry* colors;
    }

No description available.

###### Structure members

`offset`

  No description available.

`size`

  No description available.

`colors`

  No description available.

#### Constructors

###### vnc_color_map_new

Allocate a new colour map object able to store colour map entries with indexes in the range `offset` to `offset` + `size`.

#### Instance methods

###### vnc_color_map_copy

Allocate a new color map initializing it with a copy of the data stored in `map`.

###### vnc_color_map_free

Release the memory associated with the color map `map`.

###### vnc_color_map_lookup

Lookup the RGB values associated with the colour map entry at position `idx`.

###### vnc_color_map_set

Update the RGB value associated with the color map entry at position `idx`.